/*

   GRP.H

   Oliver Kraus
   kraus@lrs.e-technik.uni-erlangen.de

*/

#ifndef _GRP_H
#define _GRP_H

#include <stdio.h>

struct _grp_dir_struct
{
   char     label[12];
   long     size;
};
typedef struct _grp_dir_struct grp_dir_struct;
typedef struct _grp_dir_struct *grp_dir_type;

struct _grp_struct
{
   char *fname;
   FILE *fp;

   int is_id_ok;

   long dir_list_len;
   grp_dir_type dir_list_ptr;
   long *dir_list_idx;
   int is_dir_ok;

};
typedef struct _grp_struct grp_struct;
typedef struct _grp_struct *grp_type;

int is_grp_file(char *name);
grp_type grp_Open(char *fname);
void grp_Close(grp_type grp);
int grp_LoadDirectory(grp_type grp);
int grp_SeekFile(grp_type grp, long n);


#endif
